using Godot;
using System.Collections.Generic;
using System.Text;
using System;

namespace Rokojori
{  
  public partial class BitView
  {
    public void WriteFloat( float value )
    {
      WriteBytes( BitConverter.GetBytes( value ) );
    }

    public float ReadFloat()
    {
      return BitConverter.ToSingle( ReadByteArray( 4 ) );
    }
  }
}